Subject: Re: Question Re: hw3

From: Chee Yap <[email-masked]>
Date: Fri, 15 Oct 1999 10:28:13 -0400 (EDT)

Rehan,

I agree that "nodeInt" seems just
as reasonable as "myNode"  (I do not
have a reason to prefer one or another).

On the other hand, just to make your program
consistent with all the other students,
I would ask you to stick to my choice.

If necessary, you can do a cast in your merge program:

	nodeInt N;
        ....
	return (myNode)N;

Hope this answers your question.

Chee

> From [email-masked] Fri Oct 15 10:16 EDT 1999
> From: [email-masked]
> Date: Fri, 15 Oct 1999 10:15:31 EDT
> Subject: Question Re: hw3
> To: [email-masked], [email-masked]
> 
> in the following method, shouldn't the return type be nodeInt?
> 
> public static myNode merge(nodeInt L, nodeInt L1)
> 
> Rehan
>